BTGDAEMON(1)

NAME
btgdaemon - daemon part of the btg project.

SYNOPSIS
btgdaemon [-h] [-D] [-v] [--syntax] [-c FILE|--config FILE] [-n|--nodetach] [-s FILE|--session-file FILE] [-N]

DESCRIPTION
btgdaemon acts as a backend which performs bittorrent operations for a number of clients.

btgdaemon accepts connections using a transport. Currently the following transports are implemented: TCP/IP, secure TCP/IP, XML-RPC and secure XML-RPC. The secure transports are using TLS, provided by GNU TLS.

The daemon must be started before using one of the clients.

OPTIONS

-h | --help
    - Print a short help.

-D  - Write extensive debug information.

-v  - Be verbose.

--syntax
    - Output syntax of the configuration file used to standard out.

-c FILE | --config FILE
    - Configuration file, FILE, to use.

-n | --nodetach
    - Do not detach from TTY.

-s FILE | --session-file FILE
    - Use session file FILE.

-N  - Do not reload sessions.

-p FILE | --pid-file FILE
    - Write PID to file FILE.

FILES

No config files are used by the daemon.

~/.btg/daemon - the default IPC que filename used for accepting connections from clients.

AUTHOR
Written by Michael Wojciechowski.

SEE ALSO
btg(5), btg_config(5), btgcallback(5), btgcli(1), btgui(1)

BUGS
No known bugs.